## r-bioc-affxparser 1.62.0

=== DESCRIPTION ===
Package: affxparser
Version: 1.62.0
Depends: R (>= 2.14.0)
Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
Date: 2018-08-28
Title: Affymetrix File Parsing SDK
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut")),
  person("James", "Bullard", role=c("aut")),
  person("Robert", "Gentleman", role=c("ctb")),
  person("Kasper Daniel", "Hansen", role=c("aut", "cre"), email="kasperdanielhansen@gmail.com"),
  person("Jim", "Hester", role=c("ctb")),
  person("Martin", "Morgan", role=c("ctb")))
Author: Henrik Bengtsson [aut], James Bullard [aut], Robert Gentleman [ctb], Kasper Daniel Hansen [aut, cre], Jim Hester [ctb], Martin Morgan [ctb]
Maintainer: Kasper Daniel Hansen <kasperdanielhansen@gmail.com>
Description: Package for parsing Affymetrix files (CDF, CEL, CHP, BPMAP, BAR).  It provides methods for fast and memory efficient parsing of Affymetrix files using the Affymetrix' Fusion SDK.  Both ASCII- and binary-based files are supported.  Currently, there are methods for reading chip definition file (CDF) and a cell intensity file (CEL).  These files can be read either in full or in part.  For example, probe signals from a few probesets can be extracted very quickly from a set of CEL files into a convenient list structure.
Note: Fusion SDK v1.1.2
License: LGPL (>= 2)
LazyLoad: yes
URL: https://github.com/HenrikBengtsson/affxparser
BugReports: https://github.com/HenrikBengtsson/affxparser/issues
biocViews: Infrastructure, DataImport, Microarray,
        ProprietaryPlatforms, OneChannel
git_url: https://git.bioconductor.org/packages/affxparser
git_branch: RELEASE_3_12
git_last_commit: b3e988e
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-27 22:15:57 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.62.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Apr 2021 14:58:40 +0530

r-bioc-affxparser (1.62.0-1) unstable; urgency=medium

  * Initial release (closes: #975245)

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Feb 2021 19:23:14 +0100

=== debian/control ===
Source: r-bioc-affxparser
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser.git
Homepage: https://bioconductor.org/packages/affxparser/
Rules-Requires-Root: no

Package: r-bioc-affxparser
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Affymetrix File Parsing SDK
 Package for parsing Affymetrix files (CDF, CEL, CHP, BPMAP, BAR). It
 provides methods for fast and memory efficient parsing of Affymetrix
 files using the Affymetrix' Fusion SDK. Both ASCII- and binary-based
 files are supported. Currently, there are methods for reading chip
 definition file (CDF) and a cell intensity file (CEL). These files can
 be read either in full or in part. For example, probe signals from a few
 probesets can be extracted very quickly from a set of CEL files into a
 convenient list structure.

## r-bioc-affxparser 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: affxparser
-Version: 1.62.0
+Version: 1.66.0
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
-Date: 2018-08-28
 Title: Affymetrix File Parsing SDK
 Authors@R: c(
   person("Henrik", "Bengtsson", role=c("aut")),
@@ -22,9 +21,9 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_12
-git_last_commit: b3e988e
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 2ea72d4
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-27 22:15:57 UTC; biocbuild
+Packaged: 2021-10-26 20:47:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.66.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.66.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 14:50:24 +0530

r-bioc-affxparser (1.64.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Permit piuparts failures in CI

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 10:13:53 +0200

r-bioc-affxparser (1.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Aug 2021 20:16:55 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser.git
 Homepage: https://bioconductor.org/packages/affxparser/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/affxparser.html .*/affxparser_(.*).tar.gz

## r-bioc-affxparser 1.68.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: affxparser
-Version: 1.66.0
+Version: 1.68.1
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
 Title: Affymetrix File Parsing SDK
@@ -21,9 +21,9 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_14
-git_last_commit: 2ea72d4
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 821a01a
+git_last_commit_date: 2022-04-28
+Date/Publication: 2022-04-29
 NeedsCompilation: yes
-Packaged: 2021-10-26 20:47:07 UTC; biocbuild
+Packaged: 2022-04-29 19:47:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.68.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 09:44:50 +0200

## r-bioc-affxparser 1.70.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: affxparser
-Version: 1.68.1
+Version: 1.70.0
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
 Title: Affymetrix File Parsing SDK
@@ -21,9 +21,9 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_15
-git_last_commit: 821a01a
-git_last_commit_date: 2022-04-28
-Date/Publication: 2022-04-29
+git_branch: RELEASE_3_16
+git_last_commit: d2779bf
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-29 19:47:16 UTC; biocbuild
+Packaged: 2022-11-01 20:46:55 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.70.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 09:59:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-bioc-affxparser
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser.git
+Homepage: https://bioconductor.org/packages/affxparser/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser.git
-Homepage: https://bioconductor.org/packages/affxparser/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-affxparser
 Architecture: any

## r-bioc-affxparser 1.72.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: affxparser
-Version: 1.70.0
+Version: 1.72.0
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
 Title: Affymetrix File Parsing SDK
@@ -21,9 +21,9 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_16
-git_last_commit: d2779bf
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: db85207
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 20:46:55 UTC; biocbuild
+Packaged: 2023-04-25 20:08:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.72.0-1) unstable; urgency=medium

  * Team upload.
  * Add suggested patch for bug #1024580 but further discussion is needed
  * Standards-Version: 4.6.2 (routine-update)
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 07:41:34 +0200

## r-bioc-affxparser 1.74.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: affxparser
-Version: 1.72.0
+Version: 1.74.0
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
 Title: Affymetrix File Parsing SDK
@@ -21,9 +21,9 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_17
-git_last_commit: db85207
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: cada520
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:08:12 UTC; biocbuild
+Packaged: 2023-10-24 20:13:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.74.0-1) unstable; urgency=medium

  * Team upload.
  * Add debian/tests/autopkgtest-pkg-r.conf
  * Remove unused license definitions for GPL-2.0.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 16:03:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser.git
 Homepage: https://bioconductor.org/packages/affxparser/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-affxparser 1.76.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: affxparser
-Version: 1.74.0
+Version: 1.76.0
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
 Title: Affymetrix File Parsing SDK
@@ -21,9 +21,10 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_18
-git_last_commit: cada520
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 4f86ff8
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 20:13:20 UTC; biocbuild
+Packaged: 2024-05-01 02:27:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.76.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:05:03 +0200

r-bioc-affxparser (1.76.0-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version. Closes: #1071340
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Jul 2024 14:06:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
+               r-base-dev,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-affxparser

## r-bioc-affxparser 1.78.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: affxparser
-Version: 1.76.0
+Version: 1.78.0
 Depends: R (>= 2.14.0)
 Suggests: R.oo (>= 1.22.0), R.utils (>= 2.7.0), AffymetrixDataTestFiles
 Title: Affymetrix File Parsing SDK
@@ -21,10 +21,10 @@
 biocViews: Infrastructure, DataImport, Microarray,
         ProprietaryPlatforms, OneChannel
 git_url: https://git.bioconductor.org/packages/affxparser
-git_branch: RELEASE_3_19
-git_last_commit: 4f86ff8
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: fab9ee2
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 02:27:35 UTC; biocbuild
+Packaged: 2024-10-29 23:23:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-affxparser (1.78.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 14:56:44 +0100

r-bioc-affxparser (1.78.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 16:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-affxparser.git
 Homepage: https://bioconductor.org/packages/affxparser/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	dh_auto_install
	find debian -name Makefile| xargs -r chmod -x
